Debian Bug report logs - #581019
setuptools dep unneeded, change to pkg_resources

version graph

Package: pep8; Maintainer for pep8 is David Watson <dwatson@debian.org>; Source for pep8 is src:pep8.

Reported by: Éric Araujo <merwok@netwok.org>

Date: Mon, 10 May 2010 15:54:01 UTC

Severity: normal

Found in versions pep8/0.5.0-1, pep8/0.6.1-2

Fixed in version pep8/0.6.1-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David Watson <david@bashton.com>:
Bug#581019; Package pep8. (Mon, 10 May 2010 15:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Éric Araujo <merwok@netwok.org>:
New Bug report received and forwarded. Copy sent to David Watson <david@bashton.com>. (Mon, 10 May 2010 15:54:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Éric Araujo <merwok@netwok.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: setuptools dep unneeded, change to pkg_resources
Date: Mon, 10 May 2010 17:34:04 +0200
Package: pep8
Version: 0.5.0-1
Severity: normal

Hello

After reading the documentation and source for pep8, I think that the
fix for this bug is slightly wrong. The setuptools module (one part of
the SetupTools project) is required at build time, not run time; the
module that pep8 actually needs is pkg_resources (it provides runtime
support for SetupTools plugins). The bug is fixed because
python-setuptools depends on python-pkg-resources (upstream packages
them in one distribution, Debian split them some time ago to make a
smaller dependency and (my guess) avoid installing the dangerous
easy_install command).

Summary: s/python-setuptools/python-pkg-resources/ will still work and
take less space.

Thank you for considering this.




Information forwarded to debian-bugs-dist@lists.debian.org, David Watson <david@bashton.com>:
Bug#581019; Package pep8. (Sun, 16 May 2010 19:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Fabrice Silva <silva@lma.cnrs-mrs.fr>:
Extra info received and forwarded to list. Copy sent to David Watson <david@bashton.com>. (Sun, 16 May 2010 19:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 581019@bugs.debian.org (full text, mbox):

From: Fabrice Silva <silva@lma.cnrs-mrs.fr>
To: 581019@bugs.debian.org
Subject: Patch proposal
Date: Sun, 16 May 2010 15:51:58 -0300
[Message part 1 (text/plain, inline)]
Here is a patch to the source package to remove the dependance to
setuptools. setup.py has been modified to eliminate setuptools's
arguments.

In README.rst, the installation section has to be changed too (not
included in patch).
[pep8_setuptools.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, David Watson <david@bashton.com>:
Bug#581019; Package pep8. (Wed, 26 May 2010 11:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Éric Araujo <merwok@netwok.org>:
Extra info received and forwarded to list. Copy sent to David Watson <david@bashton.com>. (Wed, 26 May 2010 11:30:03 GMT) Full text and rfc822 format available.

Message #15 received at 581019@bugs.debian.org (full text, mbox):

From: Éric Araujo <merwok@netwok.org>
To: 581019@bugs.debian.org
Subject: Re: Patch proposal
Date: Wed, 26 May 2010 13:06:39 +0200
Hello

Your patch does not address my bug report. I did not ask for removal of
setuptools as a build-dep, but as a runtime dependency. The setup script
is fine as it is.

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org, David Watson <david@bashton.com>:
Bug#581019; Package pep8. (Sat, 11 Sep 2010 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Éric Araujo <merwok@netwok.org>:
Extra info received and forwarded to list. Copy sent to David Watson <david@bashton.com>. (Sat, 11 Sep 2010 20:45:04 GMT) Full text and rfc822 format available.

Message #20 received at 581019@bugs.debian.org (full text, mbox):

From: Éric Araujo <merwok@netwok.org>
To: Debian Bug Tracking System <581019@bugs.debian.org>
Subject: Re: setuptools dependency
Date: Sat, 11 Sep 2010 22:41:58 +0200
Package: pep8
Severity: normal

I looked again at the source and it seems that neither setuptools nor
pkg_resources are needed at runtime.  python-setuptools is therefore a
build-depends only.

Regards



-- System Information:
Debian Release: squeeze
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages pep8 depends on:
ii  python                        2.6.5-13   interactive high-level object-orie
pn  python-setuptools             <none>     (no description available)
ii  python-support                1.0.9      automated rebuilding support for P

pep8 recommends no packages.

pep8 suggests no packages.





Reply sent to David Watson <dwatson@debian.org>:
You have taken responsibility. (Sat, 06 Aug 2011 21:36:09 GMT) Full text and rfc822 format available.

Notification sent to Éric Araujo <merwok@netwok.org>:
Bug acknowledged by developer. (Sat, 06 Aug 2011 21:36:09 GMT) Full text and rfc822 format available.

Message #25 received at 581019-close@bugs.debian.org (full text, mbox):

From: David Watson <dwatson@debian.org>
To: 581019-close@bugs.debian.org
Subject: Bug#581019: fixed in pep8 0.6.1-1
Date: Sat, 06 Aug 2011 21:34:18 +0000
Source: pep8
Source-Version: 0.6.1-1

We believe that the bug you reported is fixed in the latest version of
pep8, which is due to be installed in the Debian FTP archive:

pep8_0.6.1-1.diff.gz
  to main/p/pep8/pep8_0.6.1-1.diff.gz
pep8_0.6.1-1.dsc
  to main/p/pep8/pep8_0.6.1-1.dsc
pep8_0.6.1-1_all.deb
  to main/p/pep8/pep8_0.6.1-1_all.deb
pep8_0.6.1.orig.tar.gz
  to main/p/pep8/pep8_0.6.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 581019@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Watson <dwatson@debian.org> (supplier of updated pep8 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 06 Aug 2011 21:27:14 +0100
Source: pep8
Binary: pep8
Architecture: source all
Version: 0.6.1-1
Distribution: unstable
Urgency: low
Maintainer: David Watson <dwatson@debian.org>
Changed-By: David Watson <dwatson@debian.org>
Description: 
 pep8       - Python PEP 8 code style checker
Closes: 581019 635562
Changes: 
 pep8 (0.6.1-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #635562)
   * Remove depends on python-setuptools. (Closes: #581019)
   * Update Standards version, no changes needed.
Checksums-Sha1: 
 5ae56cb258eebb821ec9ae3fed5606b583a0f88a 993 pep8_0.6.1-1.dsc
 206c9942ed79a527db1389052ac9dc272183e85d 21499 pep8_0.6.1.orig.tar.gz
 ae93059ab5b8a0bd6076f497c27aa3e7d219052d 2546 pep8_0.6.1-1.diff.gz
 52503c38f10fcb18db21e6f1c011c77386d868ab 27328 pep8_0.6.1-1_all.deb
Checksums-Sha256: 
 2449e785729caa3bcdd04c83d0125c2ad7206ec891f3c0554dd68b6d965cc329 993 pep8_0.6.1-1.dsc
 c0654b683bd0c20987e3e767bb0241daf014d854cb89ec84fbed623e349faeec 21499 pep8_0.6.1.orig.tar.gz
 99a753591c626c0cb42180d6ddd2541f4d9a4937cd24d01e6688f78750cf722e 2546 pep8_0.6.1-1.diff.gz
 2f0569616157abc74941d571c28a5c6a2cdcf6930d3116100dd723eee038a126 27328 pep8_0.6.1-1_all.deb
Files: 
 87ea672532e70a0ec5839d0f4399cc5f 993 python optional pep8_0.6.1-1.dsc
 49380cdf6ba2e222e8630cb0afe29d66 21499 python optional pep8_0.6.1.orig.tar.gz
 3fd98cd26032843eb55db48fc8bfd55b 2546 python optional pep8_0.6.1-1.diff.gz
 37a376b214d903ac7d8a89b658a3e3b8 27328 python optional pep8_0.6.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk49rvgACgkQDeh5nqfWrnmRtQCgiI6u2mwuRB0FCilVA80CKP/Y
cSkAoKSW/kuqPAtw4guqEjdKNVg4w4YA
=KLMf
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, David Watson <dwatson@debian.org>:
Bug#581019; Package pep8. (Tue, 16 Aug 2011 11:49:36 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to David Watson <dwatson@debian.org>. (Tue, 16 Aug 2011 11:50:01 GMT) Full text and rfc822 format available.

Message #30 received at 581019@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Éric Araujo <merwok@netwok.org>, 581019@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#581019: setuptools dependency
Date: Tue, 16 Aug 2011 13:47:57 +0200
found 581019 0.6.1-2
thanks

* Éric Araujo <merwok@netwok.org>, 2010-09-11, 22:41:
>I looked again at the source and it seems that neither setuptools nor
>pkg_resources are needed at runtime.  python-setuptools is therefore a
>build-depends only.

Well, the package has install_requires=['setuptools'] in setup.py, so 
simple s/setuptools/pkg-resources/ in the Depends line is not 
sufficient.

-- 
Jakub Wilk




Bug Marked as found in versions pep8/0.6.1-2 and reopened. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 11:50:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 16:03:27 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.